<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Joakim Falk (Domi)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { die("Denied"); exit; }

include INFUSIONS."eshop/infusion_db.php";

if (file_exists(INFUSIONS."eshop/locale/".$settings['locale'].".php")) {
	include INFUSIONS."eshop/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."eshop/locale/English.php";
}

$imessage = "";
$inf_title = $locale['ESHP001'];
$inf_description = $locale['ESHP001'];
$inf_version = "1.0";
$inf_developer = "J.Falk (Domi)";
$inf_email = "domi@php-fusion.co.uk";
$inf_weburl = "http://www.venue.nu";

$inf_folder = "eshop"; 

$inf_adminpanel[1] = array(
	"title" => $inf_title,
	"image" => "../../infusions/eshop/img/shopcart.png",
	"panel" => "administration/admin.php",
	"rights" => "ESP"
);

$inf_sitelink[1] = array(
	"title" => $inf_title,
	"url" => "eshop.php",
	"visibility" => "0"
);


$inf_newtable[1] = DB_ESHOP." (
  id mediumint(8) unsigned NOT NULL auto_increment,
  title varchar(200) NOT NULL default '',
  cid mediumint(8) NOT NULL default '0',
  picture varchar(200) NOT NULL default '',
  thumb varchar(200) NOT NULL default '',
  thumb2 varchar(200) NOT NULL default '',
  introtext varchar(255) NOT NULL default '',
  description text NOT NULL,
  anything1 text NOT NULL,
  anything1n varchar(50) NOT NULL default '',
  anything2 text NOT NULL,
  anything2n varchar(50) NOT NULL default '',
  anything3 text NOT NULL,
  anything3n varchar(50) NOT NULL default '',
  weight varchar(10) NOT NULL default '',
  price int(10) unsigned NOT NULL default '0',
  xprice int(10) unsigned NOT NULL default '0',
  stock mediumint(8) NOT NULL default '0',
  version char(3) NOT NULL default '0',
  status char(1) NOT NULL default '',
  active char(1) NOT NULL default '',
  gallery_on char(1) NOT NULL default '',
  delivery varchar(250) NOT NULL default '',
  demo varchar(100) NOT NULL default '',
  cart_on char(1) NOT NULL default '',
  buynow char(1) NOT NULL default '',
  rpage varchar(20) NOT NULL default '',
  icolor text NOT NULL,
  dynf varchar(50) NOT NULL default '',
  dync text NOT NULL,
  qty char(1) NOT NULL default '',
  sellcount mediumint(8) NOT NULL default '0',
  iorder smallint(5) NOT NULL default '0',
  artno varchar(15) NOT NULL default '',
  sartno varchar(15) NOT NULL default '',
  instock mediumint(8) NOT NULL default '0',
  dmulti mediumint(8) NOT NULL default '0',
  cupons char(1) NOT NULL default '',
  access tinyint(3) NOT NULL default '0',
  campaign char(1) NOT NULL default '',
  dateadded int(10) unsigned NOT NULL default '1',
  PRIMARY KEY  (id),
  KEY cid (cid)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_ESHOP_CATS." (
  cid mediumint(8) unsigned NOT NULL auto_increment,
  title varchar(45) NOT NULL default '',
  access tinyint(3) NOT NULL default '0',
  image varchar(45) NOT NULL default '0',
  parentid mediumint(8) NOT NULL default '0',
  status char(1) NOT NULL default '0',
  PRIMARY KEY  (cid)
) ENGINE=MyISAM; ";

$inf_newtable[3] = DB_ESHOP_PHOTOS." (
  photo_id mediumint(8) unsigned NOT NULL auto_increment,
  album_id mediumint(8) unsigned NOT NULL default '0',
  photo_title varchar(100) NOT NULL default '',
  photo_description text NOT NULL,
  photo_filename varchar(100) NOT NULL default '',
  photo_thumb1 varchar(100) NOT NULL default '',
  photo_thumb2 varchar(100) NOT NULL default '',
  photo_datestamp int(10) unsigned NOT NULL default '0',
  photo_user mediumint(8) unsigned NOT NULL default '0',
  photo_views mediumint(8) unsigned NOT NULL default '0',
  photo_order smallint(5) unsigned NOT NULL default '0',
  photo_allow_comments tinyint(1) unsigned NOT NULL default '1',
  photo_last_viewed int(10) unsigned NOT NULL default '1',
  PRIMARY KEY  (photo_id),
  KEY photo_user (photo_user)
) ENGINE=MyISAM;";

$inf_newtable[4] = DB_ESHOP_CART." (
  tid mediumint(8) NOT NULL auto_increment,
  puid varchar(45) NOT NULL default '0',
  prid mediumint(8) unsigned NOT NULL default '0',
  artno varchar(50) NOT NULL default '',
  citem varchar(250) NOT NULL default '',
  cimage varchar(50) NOT NULL default '',
  cqty mediumint(8) NOT NULL default '0',
  cclr varchar(50) NOT NULL default '',
  cdyn varchar(50) NOT NULL default '',
  cdynt varchar(55) NOT NULL default '',
  cprice int(10) unsigned NOT NULL default '0',
  cweight varchar(10) NOT NULL default '',
  ccupons tinyint(1) NOT NULL default '0',
  cadded int(10) NOT NULL default '0',
  PRIMARY KEY  (tid),
  KEY puid (puid)
) ENGINE=MyISAM;";

$inf_newtable[5] = DB_ESHOP_SHIPPINGCATS." (
  cid mediumint(8) NOT NULL auto_increment,
  title varchar(50) NOT NULL default '',
  image varchar(100) NOT NULL default '',
  PRIMARY KEY  (cid)
) ENGINE=MyISAM;";

$inf_newtable[6] = DB_ESHOP_SHIPPINGITEMS." (
  sid mediumint(8) NOT NULL auto_increment,
  cid mediumint(8) NOT NULL default '0',
  method varchar(100) NOT NULL default '',
  dtime varchar(100) NOT NULL default '',
  destination char(1) NOT NULL default '',
  weightmin varchar(100) NOT NULL default '',
  weightmax varchar(100) NOT NULL default '',
  weightcost smallint(5) NOT NULL default '0',
  initialcost smallint(5) NOT NULL default '0',
  active char(1) NOT NULL default '',
  PRIMARY KEY  (sid)
) ENGINE=MyISAM;";

$inf_newtable[7] = DB_ESHOP_PAYMENTS." (
pid mediumint(8) NOT NULL auto_increment,
  method text NOT NULL,
  description text NOT NULL,
  image varchar(100) NOT NULL default '',
  surcharge smallint(5) NOT NULL default '0',
  code text NOT NULL,
  cfile varchar(100) NOT NULL default '',
  active char(1) NOT NULL default '',
  PRIMARY KEY  (pid)
) ENGINE=MyISAM;";

$inf_newtable[8] = DB_ESHOP_CUSTOMERS." (
cuid mediumint(8) NOT NULL default '0',
  cfirstname varchar(50) NOT NULL default '',
  clastname varchar(50) NOT NULL default '',
  cdob varchar(20) NOT NULL default '',
  ccountry_code varchar(5) NOT NULL default '',
  cregion varchar(50) NOT NULL default '',
  ccity varchar(50) NOT NULL default '',
  caddress varchar(55) NOT NULL default '',
  caddress2 varchar(55) NOT NULL default '',
  cpostcode varchar(10) NOT NULL default '',
  cphone varchar(10) NOT NULL default '',
  cfax varchar(10) NOT NULL default '',
  cemail varchar(50) NOT NULL default '',
  ccupons text NOT NULL,
  PRIMARY KEY  (cuid)
) ENGINE=MyISAM;";

$inf_newtable[9] = DB_ESHOP_ORDERS." (
  oid mediumint(8) NOT NULL auto_increment,
  ouid mediumint(8) NOT NULL default '0',
  oname varchar(50) NOT NULL default '',
  oitems text NOT NULL,
  oorder text NOT NULL,
  oemail varchar(50) NOT NULL default '',
  opaymethod tinyint(2) NOT NULL default '0',
  oshipmethod tinyint(2) NOT NULL default '0',
  odiscount varchar(10) NOT NULL default '',
  ovat mediumint(8) NOT NULL default '0',
  ototal varchar(50) NOT NULL default '',
  omessage varchar(255) NOT NULL default '',
  oamessage varchar(255) NOT NULL default '',
  ocompleted char(1) NOT NULL default '',
  opaid char(1) NOT NULL default '',
  odate int(10) NOT NULL default '0',
  PRIMARY KEY  (oid),
  KEY ouid (ouid)
) ENGINE=MyISAM;";

$inf_newtable[10] = DB_ESHOP_SETTINGS." (
cats char(1) NOT NULL default '1',
  cat_disp char(1) NOT NULL default '',
  nopp tinyint(10) NOT NULL default '0',
  noppf tinyint(10) NOT NULL default '0',
  target varchar(10) NOT NULL default '',
  folderlink tinyint(1) NOT NULL default '0',
  selection tinyint(1) NOT NULL default '0',
  cookies tinyint(1) NOT NULL default '0',
  bclines tinyint(1) NOT NULL default '0',
  icons tinyint(1) NOT NULL default '0',
  statustext tinyint(1) NOT NULL default '0',
  closesamelevel tinyint(1) NOT NULL default '0',
  inorder tinyint(1) NOT NULL default '0',
  shopmode char(1) NOT NULL default '',
  returnpage varchar(50) NOT NULL default '',
  ppmail varchar(200) NOT NULL default '',
  ipr tinyint(10) NOT NULL default '0',
  ratios char(1) NOT NULL default '',
  idisp_h varchar(10) NOT NULL default '',
  idisp_w varchar(10) NOT NULL default '',
  idisp_h2 varchar(10) NOT NULL default '',
  idisp_w2 varchar(10) NOT NULL default '',
  catimg_w varchar(10) NOT NULL default '',
  catimg_h varchar(10) NOT NULL default '',
  image_w varchar(10) NOT NULL default '',
  image_h varchar(10) NOT NULL default '',
  image_b varchar(10) NOT NULL default '',
  image_tw varchar(10) NOT NULL default '',
  image_th varchar(10) NOT NULL default '',
  image_t2w varchar(10) NOT NULL default '',
  image_t2h varchar(10) NOT NULL default '',
  buynow_color varchar(25) NOT NULL default '',
  checkout_color varchar(25) NOT NULL default '',
  cart_color varchar(25) NOT NULL default '',
  addtocart_color varchar(25) NOT NULL default '',
  info_color varchar(25) NOT NULL default '',
  return_color varchar(25) NOT NULL default '',
  pretext char(1) NOT NULL default '',
  pretext_w varchar(5) NOT NULL default '',
  listprice char(1) NOT NULL default '',
  currency char(3) NOT NULL default '',
  shareing char(1) NOT NULL default '',
  weightscale char(3) NOT NULL default '',
  vat smallint(5) NOT NULL default '0',
  vat_default char(1) NOT NULL default '',
  terms text NOT NULL,
  itembox_w varchar(10) NOT NULL default '',
  itembox_h varchar(10) NOT NULL default '',
  cipr varchar(10) NOT NULL default '',
  newtime int(10) NOT NULL default '0',
  freeshipsum int(10) NOT NULL default '0',
  version varchar(10) NOT NULL default ''
) ENGINE=MyISAM; ";

$inf_newtable[11] = DB_ESHOP_CUPONS." (
 cuid VARCHAR( 15 ) NOT NULL DEFAULT  '',
 cuname varchar(50) NOT NULL default '',
 cutype char(1) NOT NULL default '',
 cuvalue smallint(5) NOT NULL default '0',
 custart INT( 10 ) NOT NULL ,
 cuend INT( 10 ) NOT NULL ,
 active CHAR( 1 ) NOT NULL DEFAULT  '',
PRIMARY KEY ( cuid )
) ENGINE=MyISAM;";

$inf_newtable[12] = DB_ESHOP_FEATITEMS." (
  featitem_id mediumint(8) unsigned NOT NULL auto_increment,
  featitem_item mediumint(8) unsigned NOT NULL default '0',
  featitem_cid mediumint(8) unsigned NOT NULL default '0',
  featitem_order smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (featitem_id),
  KEY cid (featitem_item)
) ENGINE=MyISAM;";


$inf_newtable[13] = DB_ESHOP_FEATBANNERS." (
  featbanner_aid mediumint(8) unsigned NOT NULL auto_increment,
  featbanner_id mediumint(8) unsigned NOT NULL default '0',
  featbanner_url varchar(100) NOT NULL default '',
  featbanner_cat mediumint(8) unsigned NOT NULL default '0',
  featbanner_banner varchar(100) NOT NULL default '',
  featbanner_cid mediumint(8) unsigned NOT NULL default '0',
  featbanner_order smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (featbanner_aid),
  KEY featbanner_id (featbanner_id)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_ESHOP_SETTINGS." (cats, cat_disp, nopp, noppf, target, folderlink, selection, cookies, bclines, icons, statustext, closesamelevel, inorder, shopmode, returnpage, ppmail, ipr, ratios, idisp_h, idisp_w, idisp_h2, idisp_w2, catimg_w, catimg_h, image_w, image_h, image_b, image_tw, image_th, image_t2w, image_t2h, buynow_color, checkout_color, cart_color, addtocart_color, info_color, return_color, pretext, pretext_w, listprice, currency, shareing, weightscale, vat, vat_default, terms, itembox_w, itembox_h, cipr, newtime, freeshipsum, version) VALUES
('0', '0', 6, 9, '_self', 0, 1, 1, 1, 1, 1, 1, 0, '1', 'ordercompleted.php', 'donations@venue.nu', 3, '1', '130', '100', '180', '250', '100', '100', '6400', '6400', '9999999', '150', '100', '250', '250', 'blue', 'green', 'red', 'magenta', 'orange', 'yellow', '0', '190px', '1', 'EUR', '1', 'KG', 25, '0', '<h2> Ordering </h2><br />\r\nWhilst all efforts are made to ensure accuracy of description, specifications and pricing there may <br />be occasions where errors arise. Should such a situation occur [Company name] cannot accept your order. <br /> In the event of a mistake you will be contacted with a full explanation and a corrected offer. <br />The information displayed is considered as an invitation to treat not as a confirmed offer for sale. \r\nThe contract is confirmed upon supply of goods.\r\n<br /><br /><br />\r\n<h2>Delivery and Returns</h2><br />\r\n[Company name] returns policy has been set up to keep costs down and to make the process as easy for you as possible. You must contact us and be in receipt of a returns authorisation (RA) number before sending any item back. Any product without a RA number will not be refunded. <br /><br /><br />\r\n<h2> Exchange </h2><br />\r\n If when you receive your product(s), you are not completely satisfied you may return the items to us, within seven days of exchange or refund. Returns will take approximately 5 working days for the process once the goods have arrived. Items must be in original packaging, in all original boxes, packaging materials, manuals blank warranty cards and all accessories and documents provided by the manufacturer.<br /><br /><br />\r\n\r\nIf our labels are removed from the product â€“ the warranty becomes void.<br /><br /><br />\r\n\r\nWe strongly recommend that you fully insure your package that you are returning. We suggest the use of a carrier that can provide you with a proof of delivery. [Company name] will not be held responsible for items lost or damaged in transit.<br /><br /><br />\r\n\r\nAll shipping back to [Company name] is paid for by the customer. We are unable to refund you postal fees.<br /><br /><br />\r\n\r\nAny product returned found not to be defective can be refunded within the time stated above and will be subject to a 15% restocking fee to cover our administration costs. Goods found to be tampered with by the customer will not be replaced but returned at the customers expense. <br /><br /><br />\r\n\r\n If you are returning items for exchange please be aware that a second charge may apply. <br /><br /><br />\r\n\r\n<h2>Non-Returnable </h2><br />\r\n For reasons of hygiene and public health, refunds/exchanges are not available for used ......... (this does not apply to faulty goods â€“ faulty products will be exchanged like for like)<br /><br /><br />\r\n\r\nDiscounted or our end of line products can only be returned for repair no refunds of replacements will be made.<br /><br /><br />\r\n\r\n<h2> Incorrect/Damaged Goods </h2><br />\r\n\r\n We try very hard to ensure that you receive your order in pristine condition. If you do not receive your products ordered. Please contract us. In the unlikely event that the product arrives damaged or faulty, please contact [Company name] immediately, this will be given special priority and you can expect to receive the correct item within 72 hours. Any incorrect items received all delivery charges will be refunded back onto you credit/debit card.<br /><br /><br />\r\n\r\n<h2>Delivery service</h2><br />\r\nWe try to make the delivery process as simple as possible and our able to send your order either you home or to your place of work.<br /><br /><br />\r\n\r\nDelivery times are calculated in working days Monday to Friday. If you order after 4 pm the next working day will be considered the first working day for delivery. In case of bank holidays and over the Christmas period, please allow an extra two working days.<br /><br /><br />\r\n\r\nWe aim to deliver within 3 working days but sometimes due to high order volume certain in sales periods please allow 4 days before contacting us. We will attempt to email you if we become aware of an unexpected delay. <br /><br /><br />\r\n\r\nAll small orders are sent out via royal mail 1st packets post service, if your order is over Â£15.00 it will be sent out via royal mails recorded packet service, which will need a signature, if you are not present a card will be left to advise you to pick up your goods from the local sorting office.<br /><br /><br />\r\n\r\nEach item will be attempted to be delivered twice. Failed deliveries after this can be delivered at an extra cost to you or you can collect the package from your local post office collection point.<br /><br /><br />\r\n\r\n<h2>Export restrictions</h2><br /><br /><br />\r\n\r\nAt present [Company name] only sends goods within the [Country]. We plan to add exports to our services in the future. If however you have a special request please contact us your requirements.<br /><br /><br />\r\n\r\n<h2> Privacy Notice </h2><br />\r\n\r\nThis policy covers all users who register to use the website. It is not necessary to purchase anything in order to gain access to the searching facilities of the site.<br /><br /><br />\r\n\r\n<h2> Security </h2><br />\r\nWe have taken the appropriate measures to ensure that your personal information is not unlawfully processed. [Company name] uses industry standard practices to safeguard the confidentiality of your personal identifiable information, including â€˜firewallsâ€™ and secure socket layers. <br /><br /><br />\r\n\r\nDuring the payment process, we ask for personal information that both identifies you and enables us to communicate with you. <br /><br /><br />\r\n\r\nWe will use the information you provide only for the following purposes.<br /><br /><br />\r\n\r\n* To send you newsletters and details of offers and promotions in which we believe you will be interested. <br />\r\n* To improve the content design and layout of the website. <br />\r\n* To understand the interest and buying behavior of our registered users<br />\r\n* To perform other such general marketing and promotional focused on our products and activities. <br />\r\n\r\n<h2> Conditions Of Use </h2><br />\r\n[Company name] and its affiliates provide their services to you subject to the following conditions. If you visit our shop at [Company name] you accept these conditions. Please read them carefully, [Company name] controls and operates this site from its offices within the [Country]. The laws of [Country] relating to including the use of, this site and materials contained. <br /><br /><br />\r\n\r\nIf you choose to access from another country you do so on your own initiave and are responsible for compliance with applicable local lands. <br /><br /><br />\r\n\r\n<h2> Copyrights </h2><br />\r\nAll content includes on the site such as text, graphics logos button icons images audio clips digital downloads and software are all owned by [Company name] and are protected by international copyright laws. <br /><br /><br />\r\n\r\n<h2> License and Site Access </h2><br />\r\n[Company name] grants you a limited license to access and make personal use of this site. This license doses not include any resaleâ€™s of commercial use of this site or its contents any collection and use of any products any collection and use of any product listings descriptions or prices any derivative use of this site or its contents, any downloading or copying of account information. For the benefit of another merchant or any use of data mining, robots or similar data gathering and extraction tools.<br /><br /><br />\r\n\r\nThis site may not be reproduced duplicated copied sold â€“ resold or otherwise exploited for any commercial exploited without written consent of [Company name].<br /><br /><br />\r\n\r\n<h2> Product Descriptions </h2><br />\r\n[Company name] and its affiliates attempt to be as accurate as possible however we do not warrant that product descriptions or other content is accurate complete reliable, or error free.<br /><br /><br />\r\nFrom time to time there may be information on [Company name] that contains typographical errors, inaccuracies or omissions that may relate to product descriptions, pricing and availability.<br /><br /><br />\r\nWe reserve the right to correct ant errors inaccuracies or omissions and to change or update information at any time without prior notice. (Including after you have submitted your order) We apologies for any inconvenience this may cause you. <br /><br /><br />\r\n\r\n<h2> Prices </h2><br />\r\nPrices and availability of items are subject to change without notice the prices advertised on this site are for orders placed and include VAT and delivery.<br /><br /><br />\r\n<br /><br /><br />\r\nPlease review our other policies posted on this site. These policies also govern your visit to [Company name]', '200px', '300px', '3','604800','0','1.0')";

$inf_insertdbrow[2] = DB_ESHOP_SHIPPINGCATS." (cid, title, image) VALUES
(5, 'DHL', 'dhl.png'),
(4, 'FedEX', 'fedex.png'),
(6, 'UPS', 'ups.png'),
(7, 'Generic', 'generic.png'),
(10, 'Post Office', 'postoffice.png'),
(11, 'Ptt', 'ptt.png'),
(12, 'TNT', 'tnt.png')";

$inf_insertdbrow[3] = DB_ESHOP_SHIPPINGITEMS." (sid, cid, method, dtime, destination, weightmin, weightmax, weightcost, initialcost, active) VALUES
(13, 6, 'UPS Express', '1 Day', '2', '0.00', '150', 0, 250, '1'),
(10, 5, 'DHL Worldwide Priority Express', '1 - 2 Days', '3', '0.00', '150', 6, 69, '1'),
(12, 5, 'DHL National Priority Express', '1 - 2 Days', '2', '0.00', '150', 0, 150, '1')";

$inf_insertdbrow[4] = DB_ESHOP_PAYMENTS." (pid, method, description, image, surcharge, code, cfile, active) VALUES
(1, 'Invoice', 'We will send an Invoice to your adress. \r\nA credit check will be run.\r\nIn order to make a credit check we need your complete date of birth.', 'invoice.png', 2, '', 'invoice.php', '1'),
(2, 'PayPal', 'Checkout with PayPal, It´s safe and fast. \r\nYou can use most credit cards here.', 'Paypal.png', 0, '', 'paypal.php', '1'),
(3, 'Prepayment', 'If you select this option you will need to transfer money directly to our account from your account. \r\nSubmit this order for account details.', 'creditcards.png', 0, '', 'prepayment.php', '1')";

$imessage = "
Thank you for installing the eShop Infusion. \n\n 
[b] Information [/b] \n
The eShop Infusion pack includes a Readme that should be able to answer most of your questions. \n
If you need any further support or if you have any questions about this Infusion please visit the support forums @ [url=http://www.php-fusion.co.uk]PHP-Fusion Main[/url] \n\n
[b] Legal [/b] \n
You should have received a copy of the GNU Affero General Public License along with this software package, If not, see [url=http://www.fsf.org/licensing/licenses/agpl-3.0.html]www.fsf.org[/url]\n\n
You are not permitted to remove the footer copyright notice : eShop © 2013-2013 without a valid license. \n
For copyright removal please refer to my license purchase page at [url=http://www.venue.nu/infusions/eshop/buynow.php?id=1]eShop CRL[/url] \n
For copyright removal regarding PHP-Fusion please refer to PHP-Fusion license information page at [url=http://www.php-fusion.co.uk/license/index.php?p=buylicense]License Purchase[/url] \n
To support the work by donations you can donate to donations@venue.nu via PayPal \n
Best regards \n\n
Domi \n\n";

$inf_insertdbrow[5] = DB_MESSAGES . " ( message_id , message_to , message_from , message_subject , message_message , message_smileys , message_read , message_datestamp , message_folder )VALUES ('', '".$userdata['user_id']."', '1', 'eShop Info', '".stripinput($imessage)."', 'y', '0', '".time()."' , '0')";

$inf_droptable[1] = DB_ESHOP_CATS;
$inf_droptable[2] = DB_ESHOP;
$inf_droptable[3] = DB_ESHOP_CART;
$inf_droptable[4] = DB_ESHOP_SETTINGS;
$inf_droptable[5] = DB_ESHOP_PHOTOS;
$inf_droptable[6] = DB_ESHOP_SHIPPINGCATS;
$inf_droptable[7] = DB_ESHOP_SHIPPINGITEMS;
$inf_droptable[8] = DB_ESHOP_PAYMENTS;
$inf_droptable[9] = DB_ESHOP_CUSTOMERS;
$inf_droptable[10] = DB_ESHOP_ORDERS;
$inf_droptable[11] = DB_ESHOP_CUPONS;
$inf_droptable[12] = DB_ESHOP_FEATITEMS;
$inf_droptable[13] = DB_ESHOP_FEATBANNERS;
?>